Libical API Documentation 3.0

Typedefs | Functions
icalcalendar.h File Reference

Routines for storing calendar data in a file system. More...

Go to the source code of this file.

## Typedefs
typedef struct icalcalendar_impl | icalcalendar

## Functions
void | icalcalendar_free (icalcalendar *calendar)
icalset * | icalcalendar_get_booked (icalcalendar *calendar)
icalset * | icalcalendar_get_freebusy (icalcalendar *calendar)
icalset * | icalcalendar_get_incoming (icalcalendar *calendar)
icalset * | icalcalendar_get_properties (icalcalendar *calendar)
int | icalcalendar_islocked (icalcalendar *calendar)
int | icalcalendar_lock (icalcalendar *calendar)
icalcalendar * | icalcalendar_new (const char *dir)
int | icalcalendar_ownlock (icalcalendar *calendar)
int | icalcalendar_unlock (icalcalendar *calendar)

## Detailed Description

Routines for storing calendar data in a file system.

The calendar has two icaldirsets, one for incoming components and one for booked components. It also has interfaces to access the free/busy list and a list of calendar properties